[Twisted-web] Turkey Questions 9-12

Tommi Virtanen tv at twistedmatrix.com
Wed Jul 13 05:06:13 MDT 2005

lloyd at paisite.com wrote:
> Question 9:
> I've been using the Debian stable packages Twisted 1.3.0-8. Is there a
> more current version?

You'll find 2.0 in unstable/testing. Of course, using anything that
explicitly claims to changing a lot is a step not to be taken lightly.

> Question 10:
> If so, does it make sense to upgrade?

There should be no pressing need, unless you hit some of the bugs which
have already been fixed.

Writing new applications or documents based on the old version is a
somewhat bad decision.

I suggest you keep using debian stable for now, install subversion,
check out the development tree with svn co
svn://svn.twistedmatrix.com/svn/Twisted/trunk and set the
environment variable PYTHONPATH to point to that when working on
twisted. That way, you have a stable basic version, but still can
see e.g. fixes and additions as soon as they are available.

> Question 11:
> Is there a Debian package for the upgrade?

In unstable and testing. I currently have very little interest
in providing explicit backports to stable, but the package will
probably install just fine in stable -- atleast for now.

More information about the Twisted-web mailing list